Subject: Suggestion: choosing a maximum line length in the html files

From: "Adrian Maier" <[email-masked]>
Date: Mon, 2 Apr 2007 11:15:16 +0300

Hello,

I have noticed that some of the html files in portal/templates contain
very long lines : entire paragraphs are written on a single line.

This makes it difficult to follow the original text while translating.
(i am using an own-made editor that (apart from the new translated html file)
opens the original file in read-only mode and highlights the current line ).

Also, having long lines can make it harder to understand the changes
when diff-ing.

Therefore i am suggesting the following best practice : in the html files the
lines should have no more than 80-90  characters .

Cheers,
Adrian Maier

---

From: Guillaume Lelarge <[email-masked]>
Date: Mon, 02 Apr 2007 10:39:19 +0200

Adrian Maier a ecrit le 02/04/2007 10:15:
> [...]

I agree on this. My patches are hard to read mainly because of this.

Regards.

-- 
Guillaume.

---

From: Magnus Hagander <[email-masked]>
Date: Mon, 2 Apr 2007 10:47:13 +0200

> I agree on this. My patches are hard to read mainly because of this.

Makes a lot of sense if it helps the translators. I'm fine with it as well,
so go ahead and send in a patch for it ;-)

//Magnus